Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359940 - lxqt-applications.menu: missing replacement of string 'LXQt' triggers faulty sorting in panel main menu
Summary: lxqt-applications.menu: missing replacement of string 'LXQt' triggers faulty ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-common
Version: 24
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: LXQt
TreeView+ depends on / blocked
 
Reported: 2016-07-25 21:12 UTC by Peter Mattern
Modified: 2017-08-08 15:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:53:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1264438 None None None Never

Internal Links: 1264438

Description Peter Mattern 2016-07-25 21:12:19 UTC
Fedora is replacing string 'LXQt' by 'X-LXQt' in several components to mitigate warning messages of binary desktop-file-validate when building packages, among other in all kinds of desktop entry files and variable $XDG_CURRENT_DESKTOP in script startlxqt, but not in file lxqt-applications.menu. As a consequence all configuration GUIs with binary name lxqt-config-* are placed in sub-menu "Preferences" instead of "Preferences - LXQt settings" in panel's main menu.

Note on the replacement in general:
The somewhat crazy situation is that no single technical issue exists due to using string 'LXQt', it's just that desktop-file validate is complaining. On the other hand the replacement did trigger some problems like this issue or bug 1347905.
In the long run we (LXQt team member here) definitely need to address this problem. That is, either get string 'LXQt' registered or figure out that it will never be and hence start using 'X-LXQt' upstream. As of desktop-file-utils 0.23 string 'LXQt' is registered as permitted value of keys {Not,Only}ShowIn but not of key Categories yet, see https://freedesktop.org/wiki/Software/desktop-file-utils/.
Right now basically the best solution would be if downstream dropped string 'X-LXQt' in favour of 'LXQt' and just made desktop-file-validate remain silent at build time as far as LXQt is concerned. Don't know whether this is feasible.

Comment 1 Helio Chissini de Castro 2016-07-26 09:47:52 UTC
We simply can't silent desktop-file validation without breaking Fedora packaging guidelines.

Freedesktop says explicitly thet going to X- solution is the right one, and therefore, applications.menu is the only thing we should fix. I will try to address this to 0.11 release

Comment 2 Raphael Groner 2016-07-29 14:19:46 UTC
Maybe we need a special tracker bug to collect all issues with X-LXQt, see also bug #1264438.

Comment 3 Fedora End Of Life 2017-07-25 22:03:25 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 15:53:09 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.